require 'order'
require 'test/unit/assertions'
World(Test::Unit::Assertions)

Given /^en tom ordre$/ do
  @order = Order.new
end

Then /^skal totalen være (.*)$/ do |total|
  assert_equal(total.to_i, @order.total)
end

When /^jeg tilføjer en linje med (.*) kr (.*)$/ do |value, name|
  @order.add_item(name, value.to_i)
end
