$:.unshift File.join(File.dirname(__FILE__), '..', 'lib')
require 'order'

describe Order do
  before do
    @order = Order.new
  end

  context 'with items' do
    before do
      @order.add_item('Carpets', 100)
      @order.add_item('Glue', 52.5)
    end

    it 'keeps track of items' do
      @order.items.size.should == 2
      @order.items[0].name.should == 'Carpets'
    end
  end
end

