$:.unshift File.join(File.dirname(__FILE__),'..','lib')

require 'riot'
require 'order'

context 'An order' do
  setup { Order.new }

  context 'with items' do
    hookup do
      topic.add_item('Carpets', 100)
      topic.add_item('Glue', 52.5)
    end

    should('keep track of items') { topic.items.size == 2 }
    should('know names of items') { topic.items[0].name == 'Carpets' }
  end
end