﻿using System.Collections.Generic;

namespace OrderApplication
{
    public class Order
    {
        readonly List<OrderItem> _items = new List<OrderItem>();
        double _total;

        public string CustomerMail { get; set; }

        public void AddItem(string name, double amount)
        {
            _items.Add(new OrderItem(name, amount));
            _total += amount;
        }

        public List<OrderItem> Items { get { return _items; } }

        public double Total { get { return _total; }}
    }
}