class Order
  attr_reader :items
  attr_accessor :customer_mail

  def initialize
    @items = []
  end

  def add_item(name, amount)
    @items << OrderItem.new(name, amount)
  end

  def total
    @items.map {|item| item.amount}.inject() {|result, element| result + element} || 0
  end

  OrderItem = Struct.new :name, :amount
end