import java.util.ArrayList;
import java.util.List;

public class Order {
    private String customerMail;
    private List<OrderItem> items = new ArrayList<OrderItem>();
    private double total;

    public void addItem(String name, double amount) {
        items.add(new OrderItem(name, amount));
        total += amount;
    }

    public List<OrderItem> getItems() {
        return items;
    }

    public double getTotal() {
        return total;
    }

    public String getCustomerMail() {
        return customerMail;
    }

    public void setCustomerMail(String customerMail) {
        this.customerMail = customerMail;
    }
}
