public class OrderProcessorImpl {
    private final OrderFormatter formatter;
    private final MailSender sender;

    public OrderProcessorImpl(OrderFormatter formatter, MailSender sender) {
        this.formatter = formatter;
        this.sender = sender;
    }

    public void process(Order order) {
        sender.send(order.getCustomerMail(), formatter.format(order));
    }
}
